Subject: bug#72048: [core-updates] Epiphany (GNOME Web) fails to build (mesa?)

From: Leo Famulari <[email-masked]>
Date: Mon, 15 Jul 2024 19:38:11 -0400

On Sun, Jul 14, 2024 at 01:52:37PM -0400, Leo Famulari wrote:
> I reported this problem upstream:
> 
> https://gitlab.gnome.org/GNOME/epiphany/-/issues/2392

The GNOME team suggests that we make sure that dbus is running in the
build environment, and indeed it seems there is something wrong in that
regard:

------
starting phase `check' 
_XSERVTransmkdir: ERROR: euid != 0,directory /tmp/.X11-unix will not be created.
dbus-daemon[1612]: [session uid=999 pid=1612 pidfd=5] Too many directories to watch them all, only watching first 128.
dbus-run-session: dbus-daemon terminated by signal 11
ninja: Entering directory `/tmp/guix-build-epiphany-44.8.drv-0/build'
[1/168] Generating config.h with a custom command     
 1/13 validate-desktop           OK              0.00s
[...]
------

It's weird that dbus is killed by signal 11, SIGSEGV.

I see that some other package manually start dbus for the test suite, so
I'll try my hand at it.